=== moo/moolua/CMakeLists.txt ===
ADD_DEFINITIONS(-DLUA_USE_APICHECK)

IF(APPLE)
  ADD_DEFINITIONS(-DLUA_USE_MACOSX)
ELSEIF(NOT WIN32)
  ADD_DEFINITIONS(-DLUA_USE_POSIX -DLUA_USE_DLOPEN)
ENDIF(APPLE)

SET(MOOLUA_SOURCES
  ext/lfs.h
  ext/lfs.c
  moolua.h
  moolua.c
  moolua-tests.h
  luaall.c
)

MOO_ADD_MOO_CODE_MODULE(moolua)

# -%- strip:true -%-
