=== debian/changelog ===
medit (0.10.4-1) unstable; urgency=low

  * QA Upload.
  * New upstream version. (Closes: #484257)
  * Migrating the build system to dh(1) as upstream is using cmake now,
    adding build-dependencies accordingly.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 11 Jul 2010 19:48:21 +0200

medit (0.9.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove LOCALMODLIBS in configure and m4/moo-python.m4 to avoid unnecessary
    linking with -lssl (closes: #571556).
  * Stop installing MIME-Info database cache files.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 06 Mar 2010 19:40:15 +0100

medit (0.9.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backport an upstream patch that fixes truncating files bug
    due to a character set conversion bug. Closes: #504767

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Nov 2008 08:56:04 +0100

medit (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/dh_checkbuildlog: Update.
  * debian/watch: Likewise.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 14 Jan 2008 23:19:59 +0000

medit (0.9.0-1) unstable; urgency=low

  [ Arthur Loiret ]
  * New upstream release.
  * Use the dh_checkbuildlog script from the aulopa project.
  * Set Standards-Version to 3.7.3.

  [ Pierre Habouzit ]
  * DM-Upload-Allowed: yes.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Fri, 14 Dec 2007 11:54:59 +0000

medit (0.8.11-1) unstable; urgency=low

  * New upstream release.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Sun, 11 Nov 2007 13:41:20 +0100

medit (0.8.10-2) unstable; urgency=low

  * debian/rules: Don't move /usr/lib/moo files to /usr/share/medit.
    (Closes: #441974)
  * debian/dirs: Remove /usr/share/medit.
  * debian/control: mention homepage in Homepage: field.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Thu, 13 Sep 2007 16:50:03 +0200

medit (0.8.10-1) unstable; urgency=low

  * New upstream release
  * Build fine twice in a row (Closes: #424570)
  * debian/rules: remove *.pyc files on clean

 -- Arthur Loiret <arthur.loiret@gmail.com>  Fri, 24 Aug 2007 18:21:42 +0200

medit (0.8.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: keep python support adding python-cairo-dev to Build-Depends
  * debian/copyright: add missing copyrights and update licenses
    + Thanks a lot to upstream author for his new LICENSE file
  * debian/docs: remove TODO file from list as it has been removed upstream
  * Update Maintainer's address in debian/copyright and debian/README.Debian

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 07 Aug 2007 00:07:32 +0000

medit (0.8.6-1) unstable; urgency=low

  * New upstream release
  * Add (unintentionally removed on last upload) debian/watch
  * Build with xml support
    + debian/control: add libxml2-dev to Build-Depends
    + debian/rules: add --with-xml to confflags

 -- Arthur Loiret <arthur.loiret@gmail.com>  Sat, 16 Jun 2007 20:29:06 +0200

medit (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * debian/rules: strip spaces and remove useless comments
  * debian/control: new Maintainer mail address

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 12 Jun 2007 10:46:39 +0200

medit (0.8.3-1) unstable; urgency=low

  * Initial release (Closes: #392291)

 -- Arthur Loiret <freacky22527@free.fr>  Sun,  8 Apr 2007 22:47:29 +0200
