=== debian/control ===
Source: medit
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.3.7), libxml-parser-perl, pkg-config, libgtk2.0-dev, python, python-dev, python-gtk2-dev, libxml2-dev, python-cairo-dev, cmake, python-support
Standards-Version: 3.7.3
Homepage: http://mooedit.sourceforge.net/
XS-DM-Upload-Allowed: yes

Package: medit
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}
Description: A useful programming and around-programming text editor
 Features:
  * Configurable syntax highlighting.
  * Configurable keyboard accelerators.
  * Multiplatform - works both on unix and windows.
  * Plugins: can be written in C or Python.
  * Configurable tools available from the main and context menus. They can be
    written in Python, or it can be a shell script, or in MooScript - simple
    builtin scripting lanugage.
  * Regular expression search/replace, grep and find frontends, builtin file
    selector and whatnot.
