=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh --with python-support $@

clean:
	dh $@
	find $(CURDIR) -name CMakeFiles -type d -print0 | xargs -0 rm -rf
	find $(CURDIR) -name '*.pyc' -type f -print0 | xargs -0 rm -f
