## medit 1.0.3

=== debian/changelog ===
medit (1.0.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release. This release fixes an FTBFS with binutils-gold
    (closes: #555595)
  * debian/rules:
    - disable dh_autotest since it acts on installed program.
    - install target: set mode of usr/share/medit-1/language-specs/check.sh
  * debian/control:
    - add dependency on ${misc:Depends} 
    - add build-dependency on intltool
    - drop build-dependency on cmake which is no longer needed
    - drop leading article from short description
    - drop dm-upload-allowed since currently no uploaders
    - Standards-Version 3.9.2 (no change)
  * Install upstream manpages instead of the ones in debian/

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Jul 2011 09:36:06 +0200
