=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: editors
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7.3.7), libxml-parser-perl, pkg-config, libgtk2.0-dev, python, python-dev, python-gtk2-dev, libxml2-dev, python-cairo-dev, cmake, python-support
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 7.3.7),
+ pkg-config,
+ libxml-parser-perl, libxml2-dev, intltool,
+ libgtk2.0-dev,
+ python, python-dev, python-gtk2-dev,  python-cairo-dev, python-support
+Standards-Version: 3.9.2
 Homepage: http://mooedit.sourceforge.net/
-XS-DM-Upload-Allowed: yes
 
 Package: medit
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}
-Description: A useful programming and around-programming text editor
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends} 
+Description: Useful programming and around-programming text editor
  Features:
   * Configurable syntax highlighting.
   * Configurable keyboard accelerators.
