=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,9 @@
 	dh $@
 	find $(CURDIR) -name CMakeFiles -type d -print0 | xargs -0 rm -rf
 	find $(CURDIR) -name '*.pyc' -type f -print0 | xargs -0 rm -f
+
+override_dh_auto_install:
+	dh_auto_install
+	chmod 755 debian/medit/usr/share/medit-1/language-specs/check.sh
+
+override_dh_auto_test:
