## medit 1.0.93

=== debian/changelog ===
medit (1.0.93-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Hotkeys are working correctly in this new upstream release.
    (Closes: #648960)

 -- Muammar El Khatib <muammar@debian.org>  Sat, 07 Jan 2012 21:45:54 +0100
