=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: medit
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends} 
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Description: Useful programming and around-programming text editor
  Features:
   * Configurable syntax highlighting.
