## medit 1.1.1

=== debian/changelog ===
medit (1.1.1-2) unstable; urgency=low

  * QA upload.
  * Migrated from Experimental to Unstable.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 12 May 2013 22:08:36 +0200

medit (1.1.1-1) experimental; urgency=low

  * New maintainer (Closes: #575203).
  * New upstream release.
  * debian/compat: update to 9.
  * debian/control:
    - Update to debhelper 9.
    - Bump to Standards-Version 3.9.4. No changes required.
    - Add dh-autoreconf to Build-Depends to update the build system.
  * debian/rules:
    - Add '--parallel' compilation.
    - Rewrite to get rid of unnecessary dependencies and add hardening flags.
  * Add fix_package_name.patch to change program name from medit-1 to medit.
  * Add doc-base control files to register documentation with doc-base.
  * Add a menu file.

 -- Jose G. López <josgalo@gmail.com>  Mon, 25 Feb 2013 20:22:26 +0100
