=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: medit
 Section: editors
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7.3.7),
+Maintainer: Jose G. López <josgalo@gmail.com>
+Build-Depends: debhelper (>= 9), dh-autoreconf,
  pkg-config,
  libxml-parser-perl, libxml2-dev, intltool,
  libgtk2.0-dev,
- python, python-dev, python-gtk2-dev,  python-cairo-dev, python-support
-Standards-Version: 3.9.2
+ python, python-dev, python-gtk2-dev, python-cairo-dev, python-support
+Standards-Version: 3.9.4
 Homepage: http://mooedit.sourceforge.net/
 
 Package: medit
