=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_OPTIONS=-v

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

LDFLAGS += -Wl,-z,defs,--as-needed

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --parallel --with autoreconf,python-support 

override_dh_auto_configure:
	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

clean:
	dh $@ --with autoreconf
	find $(CURDIR) -name '*.pyc' -type f -print0 | xargs -0 rm -f

override_dh_auto_install:
	dh_auto_install
	chmod 755 debian/medit/usr/share/medit/language-specs/check.sh
	find $(CURDIR)/debian/medit/ -type d -empty -delete

override_dh_auto_test:
