## medit 1.2.0

=== debian/changelog ===
medit (1.2.0-2) unstable; urgency=low

  * Migrate deprecated python-support to dh_python2 (Closes: #786239)
  * Update Standards-Version 3.9.6. No changes required.
  * Change Vcs-* fields to a new repository.

 -- Jose G. López <josgalo@gmail.com>  Sat, 23 May 2015 13:07:16 +0200

medit (1.2.0-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version 3.9.5. No changes required.
  * Add Vcs-* fields to point where development is done.
  * Add fix-desktop-file.patch to add Keywords key to the desktop file.

 -- Jose G. López <josgalo@gmail.com>  Fri, 04 Apr 2014 17:20:44 +0200
