=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  pkg-config,
  libxml-parser-perl, libxml2-dev, intltool,
  libgtk2.0-dev,
- python, python-dev, python-gtk2-dev, python-cairo-dev, python-support
-Standards-Version: 3.9.4
+ python, python-dev, python-gtk2-dev, python-cairo-dev, dh-python
+Standards-Version: 3.9.6
 Homepage: http://mooedit.sourceforge.net/
+Vcs-Git: https://gitlab.com/deb-pkg/medit.git
+Vcs-Browser: https://gitlab.com/deb-pkg/medit
 
 Package: medit
 Architecture: any
