=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 %:
-	dh $@ --parallel --with autoreconf,python-support 
+	dh $@ --parallel --with autoreconf,python2 
 
 override_dh_auto_configure:
 	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
