=== debian/watch ===
version=3

http://sf.net/mooedit/medit-([\d\.]+)\.tar\.bz2
